Bug 521256 (CVE-2008-7160) - CVE-2008-7160 libsilc: stack corruption in SilcHttpServer on 64bit archs
Summary: CVE-2008-7160 libsilc: stack corruption in SilcHttpServer on 64bit archs
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2008-7160
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: source=osssecurity,impact=moderate,re...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-04 14:46 UTC by Tomas Hoger
Modified: 2019-06-08 12:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-10 06:17:26 UTC


Attachments (Terms of Use)

Description Tomas Hoger 2009-09-04 14:46:40 UTC
SILC Toolkit 1.1.9 fixed following issue:

  http://silcnet.org/docs/changelog/SILC%20Toolkit%201.1.9

    HTTP: fix stack overwrite due to format string error.
    
    On AMD64, %lu refers to a 64-bit unsigned value, but the address passed
    to sscanf points to a 32-bit unsigned value.  This causes an adjoining
    value on the stack to be overwritten with data from the converted
    integer.  Fix the format string to match the size of the supplied value,
    and remove the pointer cast.

Upstream fix:
http://git.silcnet.org/gitweb/?p=silc.git;a=commitdiff;h=b2b91b074b6701455053425b583a6fd0beedc8cc

SILC's SilcHttpServer library is include in Fedora libsilc packages, but does not seem to be used by rest of the library, or by pidgin / libpurpe, which should be the only application in Fedora using this library.  This may affect other applications using libsilc.

This does not affect libsilc packages shipped in Red Hat Enterprise Linux 4 and 5, as they do not include SILC HTTP server implementation.

Comment 1 Fedora Update System 2009-09-04 17:41:58 UTC
libsilc-1.1.8-7.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libsilc-1.1.8-7.fc11

Comment 2 Fedora Update System 2009-09-04 17:41:58 UTC
libsilc-1.1.8-7.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/libsilc-1.1.8-7.fc10

Comment 3 Fedora Update System 2009-09-10 03:42:40 UTC
libsilc-1.1.8-7.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2009-09-10 03:44:01 UTC
libsilc-1.1.8-7.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.